Loading...
Searching...
No Matches
BALL::CHPISlick Class Reference

`#include <BALL/SCORING/COMPONENTS/CHPISlick.h>`

Inheritance diagram for BALL::CHPISlick:

## Classes

class | AromaticRing
class | CHGroup
struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| CHPISlick ()
| CHPISlick (ScoringFunction &sf)
| CHPISlick (const CHPISlick &chpi)
virtual | ~CHPISlick ()
Assignment
const CHPISlick & | operator= (const CHPISlick &chpi)
virtual void | clear ()
Predicates.
bool | operator== (const CHPISlick &chpi) const
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Setup Methods

Options | options
virtual bool | setup ()
void | update (const vector< std::pair< Atom *, Atom * > > &)
virtual double | updateScore ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

SLICK ringstacking component. {\bf Definition:} \URL{BALL/SCORING/COMPONENTS/CHPI.h}

Definition at line 16 of file CHPISlick.h.

## Constructor & Destructor Documentation

## CHPISlick() [1/3]

BALL::CHPISlick::CHPISlick | ( |  | ) |

Default constructor.

## CHPISlick() [2/3]

BALL::CHPISlick::CHPISlick | ( | ScoringFunction & | sf | ) |

Constructor.

## CHPISlick() [3/3]

BALL::CHPISlick::CHPISlick | ( | const CHPISlick & | chpi | ) |

Copy constructor

## ~CHPISlick()

virtual BALL::CHPISlick::~CHPISlick | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::CHPISlick::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const CHPISlick & BALL::CHPISlick::operator= | ( | const CHPISlick & | chpi | ) |

Assignment.

## operator==()

bool BALL::CHPISlick::operator== | ( | const CHPISlick & | chpi | ) | const

## setup()

virtual bool BALL::CHPISlick::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::CHPISlick::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::CHPISlick::updateScore | ( |  | ) |

virtual

Calculate CH_PI interaction score

Reimplemented from BALL::ScoringComponent.

## Member Data Documentation

## options

Options BALL::CHPISlick::options

Definition at line 273 of file CHPISlick.h.